Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class ItemTool

    java.lang.Object
      net.minecraft.src.Item
          net.minecraft.src.ItemTool

Direct Known Subclasses:
  ItemAxe, ItemPickaxe, ItemSpade

    public class ItemTool

extends Item

Field Summary
`int` | `damageVsEntity` Damage versus entities.
`float` | `efficiencyOnProperMaterial`

Fields inherited from class net.minecraft.src.Item
`appleGold, appleRed, arrow, axeDiamond, axeGold, axeSteel, axeStone, axeWood, bed, beefCooked, beefRaw, blazePowder, blazeRod, boat, bone, book, bootsChain, bootsDiamond, bootsGold, bootsLeather, bootsSteel, bow, bowlEmpty, bowlSoup, bread, brewingStand, brick, bucketEmpty, bucketLava, bucketMilk, bucketWater, cake, cauldron, chickenCooked, chickenRaw, clay, coal, compass, cookie, diamond, doorSteel, doorWood, dyePowder, egg, emerald, enderPearl, expBottle, eyeOfEnder, feather, fermentedSpiderEye, field_82791_bT, field_82792_bS, field_82793_bR, field_82794_bL, field_82795_bM, field_82796_bJ, field_82797_bK, field_82798_bP, field_82799_bQ, field_82800_bN, field_82801_bO, field_82802_bI, fireballCharge, fishCooked, fishingRod, fishRaw, flint, flintAndSteel, ghastTear, glassBottle, goldNugget, gunpowder, helmetChain, helmetDiamond, helmetGold, helmetLeather, helmetSteel, hoeDiamond, hoeGold, hoeSteel, hoeStone, hoeWood, ingotGold, ingotIron, isDefaultTexture, itemsList, leather, legsChain, legsDiamond, legsGold, legsLeather, legsSteel, lightStoneDust, magmaCream, map, melon, melonSeeds, minecartCrate, minecartEmpty, minecartPowered, monsterPlacer, netherStalkSeeds, painting, paper, pickaxeDiamond, pickaxeGold, pickaxeSteel, pickaxeStone, pickaxeWood, plateChain, plateDiamond, plateGold, plateLeather, plateSteel, pocketSundial, porkCooked, porkRaw, potion, pumpkinSeeds, record11, record13, recordBlocks, recordCat, recordChirp, recordFar, recordMall, recordMellohi, recordStal, recordStrad, recordWard, redstone, redstoneRepeater, reed, rottenFlesh, saddle, seeds, shears, shiftedIndex, shovelDiamond, shovelGold, shovelSteel, shovelStone, shovelWood, sign, silk, slimeBall, snowball, speckledMelon, spiderEye, stick, sugar, swordDiamond, swordGold, swordSteel, swordStone, swordWood, wheat, writableBook, writtenBook`

Method Summary
`String` | `func_77861_e()`
`boolean` | `func_82789_a(ItemStack par1ItemStack, ItemStack par2ItemStack)`
`int` | `getDamageVsEntity(Entity par1Entity)` Returns the damage against a given entity.
`int` | `getItemEnchantability()` Return the enchantability factor of the item, most of the time is based on material.
`float` | `getStrVsBlock(ItemStack par1ItemStack, Block par2Block)` Returns the strength of the stack against a given block.
`float` | `getStrVsBlock(ItemStack stack, Block block, int meta)` FORGE: Overridden to allow custom tool effectiveness
`boolean` | `hitEntity(ItemStack par1ItemStack, EntityLiving par2EntityLiving, EntityLiving par3EntityLiving)` Current implementations of this method in child classes do not use the entry argument beside ev.
`boolean` | `isFull3D()`
`boolean` | `onBlockDestroyed(ItemStack par1ItemStack, World par2World, int par3, int par4, int par5, int par6, EntityLiving par7EntityLiving)`

Methods inherited from class net.minecraft.src.Item
`addInformation, canHarvestBlock, createEntity, doesContainerItemLeaveCraftingGrid, func_77653_i, func_82788_x, func_82790_a, getContainerItem, getContainerItemStack, getCreativeTab, getEntityLifespan, getHasSubtypes, getIconFromDamage, getIconFromDamageForRenderPass, getIconIndex, getIconIndex, getItemDisplayName, getItemName, getItemNameIS, getItemStackLimit, getItemUseAction, getLocalItemName, getMaxDamage, getMaxItemUseDuration, getMetadata, getPotionEffect, getRarity, getRenderPasses, getShareTag, getStatName, getSubItems, getTextureFile, hasContainerItem, hasCustomEntity, hasEffect, isDamageable, isItemTool, isMap, isPotionIngredient, isRepairable, itemInteractionForEntity, onBlockStartBreak, onCreated, onDroppedByPlayer, onFoodEaten, onItemRightClick, onItemUse, onItemUseFirst, onItemUseFirst, onLeftClickEntity, onPlayerStoppedUsing, onUpdate, onUsingItemTick, requiresMultipleRenderPasses, setContainerItem, setCreativeTab, setFull3D, setIconCoord, setIconIndex, setItemName, setMaxDamage, setMaxStackSize, setNoRepair, setTextureFile, shouldRotateAroundWhenRendering`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### efficiencyOnProperMaterial

    public float efficiencyOnProperMaterial

### damageVsEntity

    public int damageVsEntity

  Damage versus entities.

Method Detail

### getStrVsBlock

    public float getStrVsBlock(ItemStack par1ItemStack,
                               Block par2Block)

  Returns the strength of the stack against a given block. 1.0F base, (Quality+1)*2 if correct blocktype, 1.5F if sword

  Overrides:
    `getStrVsBlock` in class `Item`

### hitEntity

    public boolean hitEntity(ItemStack par1ItemStack,
                             EntityLiving par2EntityLiving,
                             EntityLiving par3EntityLiving)

  Current implementations of this method in child classes do not use the entry argument beside ev. They just raise the damage on the stack.

  Overrides:
    `hitEntity` in class `Item`

### onBlockDestroyed

    public boolean onBlockDestroyed(ItemStack par1ItemStack,
                                    World par2World,
                                    int par3,
                                    int par4,
                                    int par5,
                                    int par6,
                                    EntityLiving par7EntityLiving)

  Overrides:
    `onBlockDestroyed` in class `Item`

### getDamageVsEntity

    public int getDamageVsEntity(Entity par1Entity)

  Returns the damage against a given entity.

  Overrides:
    `getDamageVsEntity` in class `Item`

### isFull3D

    public boolean isFull3D()

  Overrides:
    `isFull3D` in class `Item`

### getItemEnchantability

    public int getItemEnchantability()

  Return the enchantability factor of the item, most of the time is based on material.

  Overrides:
    `getItemEnchantability` in class `Item`

### func_77861_e

    public String func_77861_e()

### func_82789_a

    public boolean func_82789_a(ItemStack par1ItemStack,
                                ItemStack par2ItemStack)

  Overrides:
    `func_82789_a` in class `Item`

### getStrVsBlock

    public float getStrVsBlock(ItemStack stack,
                               Block block,
                               int meta)

  FORGE: Overridden to allow custom tool effectiveness

  Overrides:
    `getStrVsBlock` in class `Item`
  Parameters:
    `stack` - The Item Stack
    `block` - The block the item is trying to break
    `meta` - The items current metadata
  Returns:
    The damage strength

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD